import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 单据类型
 */
export enum OrderType {
    Futures = 1, // 期货单
    CallOption = 2, // 看涨期权单
    PutOption = 3, // 看跌期权单
}

/**
 * 获取类型列表
 * @returns 
 */
export function getOrderTypeList() {
    return getEnumTypeList('ordertype');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getOrderTypeName(value: number) {
    return getEnumTypeName(getOrderTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualOrderType(key: keyof typeof OrderType, value: number) {
    return OrderType[key] === value;
}